audit (1:2.8.3-1ubuntu3) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 11:51:00 +0000

audit (1:2.8.3-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 09:24:15 +0000

audit (1:2.8.3-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 May 2018 07:57:01 -0700

audit (1:2.8.3-1) unstable; urgency=medium

  [ Karsten Merker ]
  * Add pkg.audit.noldap build-profile to help bootstrap new architectures
    (Closes: #894314)

  [ Laurent Bigonville ]
  * New bugfix upstream release
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Use dh_missing instead of dh_install to list not installed
    files
  * debian/control: Add Rules-Requires-Root: binary-targets field
  * Drop old and unused debian/patches/DESACTIVATED:build-on-hppa patch
  * debian/control: Move git repository to salsa

 -- Laurent Bigonville <bigon@debian.org>  Thu, 26 Apr 2018 11:53:22 +0200

audit (1:2.8.2-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 07 Feb 2018 15:59:52 -0800

audit (1:2.8.2-1) unstable; urgency=medium

  * New bugfix upstream release
    - debian/libaudit1.symbols: Add newly exported symbol
  * debian/control: Bump Standards-Version to 4.1.2 (no further changes)
  * debian/watch: Use https:// instead of http://

 -- Laurent Bigonville <bigon@debian.org>  Mon, 18 Dec 2017 09:13:02 +0100

audit (1:2.8.1-2) unstable; urgency=medium

  * Make auditd logs readable by the adm group by default (Closes: #759604)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Nov 2017 18:39:12 +0100

audit (1:2.8.1-1) unstable; urgency=medium

  * New bugfix upstream release
  * debian/control: Move all packages from Priority: extra (which is
    deprecated) to Priority: optional

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Oct 2017 13:06:41 +0200

audit (1:2.8-1) unstable; urgency=low

  * New upstream release
    - debian/libaudit1.symbols, debian/libauparse0.symbols: Add newly exported
      symbols

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Oct 2017 14:25:12 +0200

audit (1:2.7.8-1) unstable; urgency=medium

  * New upstream release
    - debian/libauparse0.symbols: Add newly exported symbol
  * debian/control: Bump Standards-Version to 4.1.1 (no further changes)
  * Bump debhelper compatibility to 10, drop dh-systemd and dh-autoreconf
    build-dep, these are not needed anymore

 -- Laurent Bigonville <bigon@debian.org>  Tue, 03 Oct 2017 16:10:39 +0200

audit (1:2.7.7-1ubuntu2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:22:00 +0000

audit (1:2.7.7-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Jul 2017 22:20:22 -0700

audit (1:2.7.7-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/03-fix-segfault-sock.patch, applied upstream
    - Refresh debian/patches/01-no-refusemanualstop.patch
    - debian/libaudit1.symbols, debian/libauparse0.symbols: Update the
      exported symbols list
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)
  * debian/rules: Do not pass start/stop options to update-rc.d, this is
    deprecated for years and just produces a confusing warning (Closes:
    #860217, LP: #1646015)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Jun 2017 18:30:33 +0200

audit (1:2.6.7-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/patches/03-fix-segfault-sock.patch: Fix ausearch segfault caused by
    some audit messages (Closes: #859120)

  [ Helmut Grohne ]
  * Fix FTCBFS: Cross compatible python Build-Depends (Closes: #840896)
  * Add support for the nopython build profile (Closes: #840262)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 12 Apr 2017 18:17:21 +0200

audit (1:2.6.7-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/02-restorecon-path.patch: Fix restorecon path
    - debian/libauparse0.symbols: Drop au_terminate_all_events symbol, it was
      never part of the public API
  * debian/*.symbols: Add the Build-Depends-Package field

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Sep 2016 22:44:56 +0200

audit (1:2.6.6-1ubuntu3) artful; urgency=medium

  * No-change rebuild against libprelude23

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Jun 2017 01:04:04 +0000

audit (1:2.6.6-1ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 10:59:06 +1200

audit (1:2.6.6-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2016 14:37:46 +0200

audit (1:2.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 15 Aug 2016 13:43:06 +0200

audit (1:2.6.5-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Aug 2016 13:54:52 +0200

audit (1:2.6.5-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - Fix crash when starting the daemon (Closes: #830244)
    - Fix linking order between libaudit and libcap-ng (Closes: #829500)
  * debian/copyright: Add myself to the copyright file

  [ Nicolas Braud-Santoni ]
  * debian/copyright: Make a DEP5-compliant, parseable file

 -- Laurent Bigonville <bigon@debian.org>  Fri, 15 Jul 2016 11:25:41 +0200

audit (1:2.6.3-1) unstable; urgency=medium

  * New upstream release
    - Save and restore libcap-ng state when doing a capability check (Closes:
      #829677)
    - Add explicit dependency against libcap-ng-dev (Closes: #829500)
  * debian/auditd.lintian-overrides: Add override for permissions of the
    /etc/audit/audit-stop.rules file
  * debian/auditd.default, debian/auditd.init: Merge AUDITD_CLEAN_STOP and
    AUDITD_STOP_DISABLE together and use the new upstream rules file
    (/etc/audit/audit-stop.rules) to clean the rules when stopping the daemon.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Jul 2016 22:31:27 +0200

audit (1:2.6.1-1) unstable; urgency=medium

  * New upstream release
    - debian/*.symbols: Add new exported symbols
  * debian/rules: Enable all hardening flags
  * debian/gbp.conf: Rename [git-buildpackage] section to [buildpackage]

 -- Laurent Bigonville <bigon@debian.org>  Wed, 29 Jun 2016 07:25:02 +0200

audit (1:2.5.2-1) unstable; urgency=medium

  * New upstream release
    - Adjust the .symbols files, the dropped symbols were never part of the
      public API
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/auditd.default, debian/auditd.init: With this version, the
    systemd service file generates the audit.rules file before starting the
    daemon. Modify the LSB script to match the behaviour. (Closes: #729704)
  * debian/auditd.examples, debian/rules: The examples files have moved to a
    rules/ directory, install the full directory.
  * debian/rules: Remove the --with=golang flag to dh call, this seems useless
    as the build system already takes care of the go binding and the package
    FTBFS because of this (Closes: #823427)
  * debian/auditd.lintian-overrides: $remote_fs is not needed in the stop
    action, this is only needed for augenrules used in the start one.
  * debian/rules: Install the default configuration, the build system is not
    doing that for us anymore.
  * debian/auditd.postrm: Also remove /etc/audit/audit.rules.prev on purge,
    the file is generated by the augenrules tool.
  * debian/rules: Use https for Vcs-* and Homepage URL's
  * debian/auditd.postinst: Call augenrules instead of manually copying the
    configuration file on initial install.
  * debian/auditd.README.Debian, debian/auditd.NEWS: Update the instructions
    now that augenrules is used by default.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 05 May 2016 15:49:29 +0200

audit (1:2.4.5-1ubuntu2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:42:29 +0000

audit (1:2.4.5-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/auditd.init: The start command now requires $remote_fs to be
      started because it may call /bin/augenrules, which depends on
      /usr/bin/awk. $PATH must also be updated so that augenrules can find
      awk.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Jan 2016 17:07:39 -0800

audit (1:2.4.5-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS when building arch-independent packages (Closes: #805996)
  * debian/libaudit-dev.install: Install audit.m4 file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 26 Dec 2015 02:52:39 +0100

audit (1:2.4.4-4ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/auditd.init: The start command now requires $remote_fs to be
      started because it may call /bin/augenrules, which depends on
      /usr/bin/awk. $PATH must also be updated so that augenrules can find
      awk.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 30 Oct 2015 11:22:43 -0700

audit (1:2.4.4-4) unstable; urgency=medium

  * Build python3 bindings for all python3 versions (Closes: #800117)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 04 Oct 2015 15:10:41 +0200

audit (1:2.4.4-3) unstable; urgency=medium

  * debian/control: Move golang-go to Build-Depends-Indep, it's only needed
    for an arch:all package and not available on all architectures

 -- Laurent Bigonville <bigon@debian.org>  Thu, 17 Sep 2015 17:06:38 +0200

audit (1:2.4.4-2) unstable; urgency=medium

  * Start building the golang binding
  * Start building python3 binding package

 -- Laurent Bigonville <bigon@debian.org>  Wed, 09 Sep 2015 02:36:55 +0200

audit (1:2.4.4-1) unstable; urgency=medium

  * New upstream release
    - Fix log terminal emulator escape sequences handling (Closes: #795457
      CVE-2015-5186)
    - Internal libev updated to 4.20, this should fix the clang FTBFS (Closes:
      #787066)
    - debian/libauparse0.symbols: Adjust the symbols file
  * Install .pc files in the respective -dev packages
  * debian/control: Explicitly build-depends against dh-python
  * debian/rules: Unconditionally enable Aarch64 processor support now that
    it's an official port.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 24 Aug 2015 23:29:11 +0200

audit (1:2.4.2-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/auditd.init: The start command now requires $remote_fs to be
      started because it may call /bin/augenrules, which depends on
      /usr/bin/awk. $PATH must also be updated so that augenrules can find
      awk.
  * Dropped changes, included upstream:
    - Backport ppc64el support changeset
  * Re-add build-dependency on libwrap; it's only used by the listener so
    it's a spurious build-dependency in Ubuntu, but nothing we need to carry
    a delta for since libwrap is in main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 12:43:25 -0700

audit (1:2.4.2-1) unstable; urgency=medium

  * New upstream release
    - Adjust the .symbols files
  * debian/watch: Fix URL to download the proper tarball
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Jun 2015 00:09:09 +0200

audit (1:2.4-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/01-no-refusemanualstop.patch: Refreshed
    - Adjust the .symbols files

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Sep 2014 16:57:08 +0200

audit (1:2.3.7-1ubuntu3) wily; urgency=medium

  * No-change rebuild against libprelude2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 23:26:20 +0000

audit (1:2.3.7-1ubuntu2) vivid; urgency=medium

  * Backport ppc64el support changeset from upstream (LP: #1410522)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 21 Apr 2015 11:15:01 +0100

audit (1:2.3.7-1ubuntu1) utopic; urgency=medium

  * Merge from Debian testing (LP: #1357387). Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/control, debian/rules: Remove libwrap0-dev Build-Dependency and
      --with-libwrap configure argument since libwrap is only used by the
      auditd network listener
    - debian/auditd.init: The start command now requires $remote_fs to be
      started because it may call /bin/augenrules, which depends on
      /usr/bin/awk. $PATH must also be updated so that augenrules can find
      awk.
  * Dropped changes:
    - debian/auditd.preinst, debian/auditd.postinst, debian/auditd.postrm:
      Migrate from the Ubuntu-specific way of providing a rules directory
      (/etc/audit/rules.d/) to the new, upstream rules directory feature based
      on /sbin/augenrules. This migration logic was present in the 14.04 LTS
      and can now be dropped because all supported upgrade paths will include
      the 14.04 LTS package.

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 03 Oct 2014 13:06:42 +0100

audit (1:2.3.7-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sat, 14 Jun 2014 14:02:55 +0200

audit (1:2.3.6-1) unstable; urgency=medium

  * New upstream release
    - debian/rules: Rename --with-armeb flag to --with-arm, changed upstream
    - Adjust debian/libaudit1.symbols file: Add audit_determine_machine()
  * debian/rules: Include aarch64 support on arm64 architecture, we will build
    with it on all architectures when it will be an official port

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Apr 2014 15:23:21 +0200

audit (1:2.3.4-1) unstable; urgency=medium

  * New upstream release
    - Adjust debian/libauparse0.symbols: Add a new symbol
  * Adopt the audit package (Closes: #692492)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 01 Mar 2014 18:52:55 +0100

audit (1:2.3.3-4) unstable; urgency=low

  * QA upload
  * desactivated patch "build-on-hppa" since the package still doesn't
    build on hppa, and since upstream is reluctant to integrate the patch.

 -- Ralf Treinen <treinen@debian.org>  Mon, 27 Jan 2014 09:15:07 +0100

audit (1:2.3.3-3) unstable; urgency=low

  * QA upload
  * fix pathnames of patches files in debian/patches/build-on-hppa

 -- Ralf Treinen <treinen@debian.org>  Mon, 20 Jan 2014 21:21:32 +0100

audit (1:2.3.3-2) unstable; urgency=low

  * QA upload
  * Enable compilation on hppa (closes: 735944). Thanks to Helge Deller!
    - patch build-on-hppa
    - debian/rules: configure --with-hppa on hppa architecture

 -- Ralf Treinen <treinen@debian.org>  Sun, 19 Jan 2014 13:25:25 +0100

audit (1:2.3.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
    - Adjust debian/libauparse0.symbols

 -- Laurent Bigonville <bigon@debian.org>  Fri, 17 Jan 2014 18:23:26 +0100

audit (1:2.3.2-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Relax the libaudit1 dependency against libaudit-common in
    case the soname gets bumped again (Closes: #721361)
  * debian/auditd.README.Debian: Rewrite the part on how enabling augenrules
    on systemd systems without copying the complete unit file.
  * debian/control: Mark -dev packages as Multi-arch: same (Closes: #731291)
  * debian/control: Add dependency against "mawk | gawk" for augenrules
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 30 Dec 2013 14:12:17 +0100

audit (1:2.3.2-2ubuntu1) trusty; urgency=low

  * Migrate from the Ubuntu-specific way of providing a rules directory
    (/etc/audit/rules.d/) to the new, upstream rules directory feature based
    on /sbin/augenrules. If USE_AUGENRULES is set to "yes" in
    /etc/default/auditd, then the auditd init script will use
    /etc/audit/rules.d/*.rules files to generate /etc/audit/audit.rules.
    Instead of generating the /etc/audit/audit.rules file, the old
    Ubuntu-specific way of handling a rules directory parsed
    /etc/audit/audit.rules, in addition to the /etc/audit/rules.d/*.rules
    files.
    - debian/auditd.preinst, debian/auditd.postinst, debian/auditd.postrm:
      When upgrading from a version without augenrules, check for a
      pre-existing rules directory (/etc/audit/rules.d/). If it exists and is
      populated with rules files, move /etc/audit/audit.rules to
      /etc/audit/rules.d/audit.rules and set USE_AUGENRULES to "yes". This
      migration logic should be dropped after the 14.04 release.
  * Merge from Debian testing (LP: #1251795). Remaining changes:
    - debian/rules: Disable auditd network listener, with --disable-listener,
      to reduce the risk of a remote attack on auditd, which runs as root
    - debian/control, debian/rules: Remove libwrap0-dev Build-Dependency and
      --with-libwrap configure argument since libwrap is only used by the
      auditd network listener
  * Dropped changes:
    - debian/auditd.init: apply the intent of Peter Moody's patch to add
      support for rules.d directory for splitting out audit.d rules
      + The new augenrules tool, called from the init script, replaces this
    - debian/control: The upstream audit sources embed and build against their
      own version of libev. This is not desirable, but there's no reason to
      list libev-dev as a build dependency at this time.
      + Debian commented out the libev Build-Dependency
    - debian/patches/FTBFS-python-multiarch.diff: No longer needed
    - debian/patches/fix-asprintf-warnings.patch,
      debian/patches/fix-unused-result-warnings.patch
      debian/patches/fix-discards-const-qualifier-warnings.patch: Present in
      upstream release
  * debian/auditd.init: The start command now requires $remote_fs to be
    started because it may call /bin/augenrules, which depends on
    /usr/bin/awk. $PATH must also be updated so that augenrules can find awk.

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 15 Nov 2013 17:24:58 -0800

audit (1:2.3.2-2) unstable; urgency=low

  * QA upload.
  * Upload to unstable.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 29 Aug 2013 10:38:17 +0200

audit (1:2.3.2-1) experimental; urgency=low

  * QA upload.
  * New upstream release
  * debian/control, debian/rules: Add support for dh-systemd
  * debian/rules: Call dh_installinit with --restart-after-upgrade to minimize
    downtime
  * debian/patches/01-no-refusemanualstop.patch: Remove RefuseManualStop=yes
    option, this is preventing the auditd daemon to be restarted on upgrade

 -- Laurent Bigonville <bigon@debian.org>  Wed, 07 Aug 2013 19:14:09 +0200

audit (1:2.3.1-1) experimental; urgency=low

  * QA upload.
  * New upstream release
    - debian/libauparse0.symbols: Adjust .symbols file
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/control: Use canonical URL for VCS field
  * debian/auditd.init: Remove the usage of the VERBOSE variable
    (see lintian error: init.d-script-call-internal-API)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 02 Jun 2013 15:06:23 +0200

audit (1:2.3-1) experimental; urgency=low

  * QA upload.
  * New upstream release
  * debian/auditd.install: Install /sbin/augenrules and the related manpage
  * debian/auditd.post{inst,rm}: /etc/audit/audit.rules is no longer shipped
    in the package, copy it on first installation and remove it on purge.
  * debian/auditd.default, debian/auditd.init: Automatically generate
    /etc/audit/audit.rules on start if USE_AUGENRULES is set to yes
  * debian/auditd.NEWS, debian/auditd.README.Debian: Add documentation about
    automatically generating the audit.rules file on startup.
  * debian/auditd.lintian-overrides: Adjust overrides to match new installed
    config files.
  * debian/auditd.default, debian/auditd.init: Add an option to disable the
    audit system when the daemon is stopped.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 06 May 2013 22:01:18 +0200

audit (1:2.2.3-1) experimental; urgency=low

  * QA upload.
  * New upstream release
    - Properly document audit_open() can fails and sets errno (Closes: #642501)
    - Drop all the patches, they have been applied upstream
  * Remove libev-dev Build-Dependency
    - debian/control: The upstream audit sources embed and build against their
      own version of libev. This is not desirable, but there's no reason to
      list libev-dev as a build dependency at this time. (Closes: #699933)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 21 Mar 2013 21:39:45 +0100

audit (1:2.2.2-1ubuntu4) raring; urgency=low

  * debian/patches/fix-unused-result-warnings.patch: Adjust patch to reflect a
    change made by upstream. Don't treat nice() failures as fatal during an
    auditd reconfigure. (LP: #1123510)
  * debian/patches/fix-asprintf-warnings.patch,
    debian/patches/fix-unused-result-warnings.patch,
    debian/patches/fix-discards-const-qualifier-warnings.patch: Update patch
    tags with potential release version and SVN commit id to indicate that
    these patches were merged upstream. 

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 11 Feb 2013 13:25:46 -0800

audit (1:2.2.2-1ubuntu3) raring; urgency=low

  * Fix important build warnings (LP: #1026852)
    - debian/patches/fix-asprintf-warnings.patch: Linux asprintf()
      implementations do not provide guarantees around the strp variable upon
      error so its return code must be checked.
    - debian/patches/fix-unused-result-warnings.patch: Be sure to check the
      return code of various important functions and create an appropriate
      error path.
    - debian/patches/fix-discards-const-qualifier-warnings.patch: Fix some
      areas where the const qualifier was not being respected.

 -- Tyler Hicks <tyhicks@canonical.com>  Fri, 08 Feb 2013 18:36:06 -0800

audit (1:2.2.2-1ubuntu2) raring; urgency=low

  * Disable auditd network listener with --disable-listener (LP: #1026852)
    - debian/rules: Reduce the risk of a remote attack on auditd, which
      runs as root, by not building the code that listens for audit messages
      over the network. This will prevent users from using auditd as a
      centralized audit message aggregator, but this feature is rarely used.
  * Don't build against libwrap since only auditd's network listener used it
    - debian/control: Remove libwrap0-dev Build-Dependency
    - debian/rules: Remove --with-libwrap from configure arguments
  * Remove libev-dev Build-Dependency (LP: #1026852)
    - debian/control: The upstream audit sources embed and build against their
      own version of libev. This is not desirable, but there's no reason to
      list libev-dev as a build dependency at this time.

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 06 Feb 2013 13:51:35 -0800

audit (1:2.2.2-1ubuntu1) raring; urgency=low

  * Merge from Debian experimental (LP: #1092760). Remaining changes:
    - debian/auditd.init: apply the intent of Peter Moody's patch to add
      support for rules.d directory for splitting out audit.d rules
  * The new upstream release fixes two outstanding Ubuntu bugs:
    - audispd binary has incorrent permissions (LP: #683220)
      + In auditd, relax some permission checks for external apps
    - auditctl uses wrong syscall to determine uid (LP: #957519)
      + In auditctl, check usage against euid rather than uid
  * Fix FTBFS caused by Python mulitarch layout which splits Python header
    files across multiple directories
    - debian/patches/FTBFS-python-multiarch.diff: Use python-config to
      determine the appropriate include directories

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 20 Dec 2012 18:10:24 -0800

audit (1:2.2.2-1) experimental; urgency=low

  * QA upload.
  * New upstream release
    - Add debian/patches/fix-make-check.diff: Try to unbreak make check
    - debian/auditd.install: Install systemd service file
    - debian/libauparse0.symbols: Adjust .symbols file
  * Enable support for Alpha and ARM ABI (Closes: #681457)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 12 Dec 2012 21:43:25 +0100

audit (1:2.2.1-2) experimental; urgency=low

  * QA upload.
  * Orphan audit package with maintainer approval
  * Split libauparse out of libaudit package and put /etc/libaudit.conf in its
    own package thanks to Alban Browaeys (Closes: #682251)
  * Drop useless debian/patches/rpath.diff and call to chrpath, call
    dh_autoreconf to be sure autofoo are up-to-date instead.
  * debian/auditd.install: Install auvirt executable, thanks to Guido Günther
    (Closes: #688440)
  * Convert to multiarch policy (Closes: #687121)
  * Add missing X-Python-Version header
  * Enable libcap-ng support
  * Let's dh_python2 take care of removing *.p[co] files
  * Drop pam-config stanza for loginuid, it's only intended to be called from
    entry point PAM services (Closes: #676527)
  * Drop debian/auditd.postinst: this was needed before squeeze release
  * Drop useless debian/patches/ld-no-add-needed.diff: libkrb5 is already
    properly passed at link time
  * Drop debian/patches/mode.diff: Upstream is now checking if the mode of the
    executable is either 0750 or 0755 and not only 0750
  * Drop several patches and files that were not used anymore but not dropped
    on disk
  * Refresh and reapply debian/patches/manpage-dash.diff
  * debian/control: Add Vcs-* fields
  * Add debian/gbp.conf file
  * Run wrap-and-sort script
  * Only attempt to build on linux-any architectures

 -- Laurent Bigonville <bigon@debian.org>  Mon, 12 Nov 2012 00:01:27 +0100

audit (1:2.2.1-1) experimental; urgency=low

  * Non-maintainer upload (with maintainer's blessing)
  * New upstream release
  * Refit patches
  * debian/control: bump Standards-Version (no changes)
  * debian/control: bump versioned build dep on debhelper to 9
  * debian/control: add build dep on dpkg-dev >= 1.16.1~ to get
    dpkg-buildflags support for hardening
  * debian/compat: bump up to 9

 -- Andrew Pollock <apollock@google.com>  Wed, 11 Jul 2012 16:53:40 -0700

audit (1:1.7.18-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert last upload versioned 2.1.3-1 and made by Russell Coker.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 31 Jan 2012 16:34:34 +0100

audit (1.7.18-1ubuntu1) precise; urgency=low

  * debian/auditd.init: apply the intent of Peter Moody's patch to add support
    for rules.d directory for splitting out audit.d rules (LP: #730872)

 -- Andrew Pollock <apollock@google.com>  Thu, 29 Dec 2011 15:11:11 -0800

audit (1.7.18-1) unstable; urgency=low

  * New upstream release.
    - Fixes inode with != operator (Closes: #539356)
  * debian/source/format, debian/README.source: Convert to 3.0 (quilt)
  * debian/patches/htons_family.diff: Don't htons(AF_INET) (Closes: #635202)
    Thanks to John Feuerstein <john@feurix.com>.
  * debian/control:
    - Bump Standards-Version: 3.9.2
    - Priority: optional for libaudit0.
    - Depend on missing python-glade2 (Closes: #635199)
    - Drop quilt from Build-Depends.
    - Use automake1.10, DebHelper8
  * debian/rules: Switch to debhelper8 and dh_pyhon2
  * Build bindings for all Python versions (Closes: #627919)
  * debian/patches:
    - fix-out-of-tree-build.diff: Fix an out-of-tree build issue
    - fix-desktopinfo.diff: Drop Encoding from desktop info file
    - fix-spelling.diff: Fix spelling mistakes in manual pages
    - manpage-dash.diff: Quote dashes in manual pages
  * debian/auditd.init
    - Change start/stop levels (also debian/rules) (Closes: #586664)
    - Drop support for customizing language  (Closes: #549186)
  * debian/audit.*: Add support for pam_loginuid (Closes: #560281)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri, 29 Jul 2011 23:28:00 +0200

audit (1.7.13-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621141).
  * Add ${python:Depends} for system-config-audit.

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 09:48:16 +0200

audit (1.7.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/ld-no-add-needed.diff
    - fix build with ld --no-add-needed, patch from bug; Closes: #553961
  * debian/patches/add_missing_headers.diff
    - Add missing headers to fix undefined reference to `S_ISREG' linker error,
      from Ubuntu
  * debian/python-audit.install, debian/rules
    - use '*-packages' instead of 'site-packages', diff from Ubuntu

 -- Sandro Tosi <morph@debian.org>  Wed, 25 May 2011 13:55:43 +0200

audit (1.7.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control: ~Suggest audispd-plugins" (Closes: #523098)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 22 Apr 2009 21:56:34 +0200

audit (1.7.12-1) unstable; urgency=low

  * New upstream release. (Closes: #522026)
  * Fix "typo in long description: (Closes: #513937)
  * debian/control:
    - Bump Standards-Version: 3.8.0

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 07 Apr 2009 00:03:54 +0200

audit (1.7.11-1) unstable; urgency=low

  * New upstream release.
    - Update debian/patches/mode.diff

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sun, 11 Jan 2009 18:51:38 +0100

audit (1.7.10-1) unstable; urgency=low

  * New upstream release.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sat, 03 Jan 2009 17:16:22 +0100

audit (1.7.9-2) unstable; urgency=low

  * Fix bashism in debian/rules (Closes: #505261)
    Thanks to Michael Bienia <michael vorlon ping de>

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 11 Nov 2008 19:32:06 +0100

audit (1.7.9-1) unstable; urgency=low

  * New upstream release.
    - Includes debian/patches/test.diff
  * debian/auditd.install: Add aulast.
  * Fix "fails to start in two cases : auditd not installed or not run
    as root" by "using su-to-root -X" (Closes: #503656)
  * debian/control#system-config-audit:
    - Depends: menu for su-to-root
    - Depends: chkconfig for restart

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Sun, 09 Nov 2008 21:25:03 +0100

audit (1.7.8-1) unstable; urgency=low

  * New upstream release.
    - Includes debian/patches/{man5,rpath,audispd-zos-remote}.diff
    - Includes debian/patches/automake{,.in}}.diff
  * debian/control:
    - Build-Deps: +libev-dev, +chrpath, +libwrap0-dev, +libkrb5-dev,
      debhelper (>= 6.0.7~)
    - Enable system-config-audit
  * debian/rules:
    - Enable TCP wrapper
    - Enable GSSAPI-krb5
    - chmod o-(r)wx on several files and directories
    - dh_lintian auditd.lintian-overrides
   debian/patches/test.diff
    - Fix "make {dist,}check" in auparse/test/

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Thu, 23 Oct 2008 01:16:47 +0200

audit (1.7.4-1) unstable; urgency=low

  * New upstream release (Closes: #452414)
  * Drop debian/audispd.8 in favour of updtream version.
  * debian/control:
    - Build-Deps: +libldap2-dev
    - Bump Standards-Version: 3.8.0
    - New audispd-plugins package.
    - system-config-audit package is currently disabled: rpath problem.
  * debian/rules
    - Include /usr/share/quilt/quilt.mak
    - Start auditd already in rcS.
  * Add debian/README.source as required by 3.8.0
  * debian/auditd.postinst adopted from the Ubuntu branch.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 25 Jun 2008 09:56:59 +0200

audit (1.7.2-0.1) unstable; urgency=low

  * Not released non-maintainer upload.
  * New upstream release.
  * Drop patches not needed now.
  * Add cvs and intltool to build dependencies.
  * Enable Prelude support.

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Apr 2008 10:47:22 +0200

audit (1.5.3-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Added CVE-2008-1628.patch to fix a stack-based buffer overflow
    in the audit_log_user_command function which can be triggered via
    a command argument that is passed to that function and might lead
    to execution of arbitrary code (Closes: #475227).

 -- Nico Golde <nion@debian.org>  Thu, 10 Apr 2008 15:06:25 +0200

audit (1.5.3-2) unstable; urgency=low

  * debian/auditd.init: Fix inverted AUDITD_CLEAN_STOP (Closes: #428066)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Tue, 12 Jun 2007 22:33:56 +0200

audit (1.5.3-1) unstable; urgency=low

  * New upstream version
    - Includes all debian/patches.
  * Drop Build-Depends: linux-headers-2.6

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 02 May 2007 09:10:06 +0200

audit (1.5.1-2) unstable; urgency=low

  * Apply patch from upstream to fix SEGFAULT on reload.

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Fri, 23 Mar 2007 22:16:24 +0100

audit (1.5.1-1) unstable; urgency=low

  * Initial release (Closes: #311214)

 -- Philipp Matthias Hahn <pmhahn@debian.org>  Wed, 21 Mar 2007 09:47:19 +0100

